Subject: Re: [PATCH] Makefile: rename clar-related variables to avoid confusion

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 Sep 2024 10:35:43 -0700

Patrick Steinhardt <[email-masked]> writes:

> The Makefile variables related to the recently-introduced clar testing
> framework have a `UNIT_TESTS_` prefix. This prefix is extremely similar
> to the prefix used by our other unit tests that use our homegrown unit
> testing framework, which is `UNIT_TEST_`. The consequence is that it is
> easy to misread the names and confuse them with each other.
>
> Rename the clar-related variables to instead have a `CLAR_TEST_` prefix
> to address this.
>
> Signed-off-by: Patrick Steinhardt <[email-masked]>
> ---
>
> As discussed in <[email-masked]>. This is based on top of
> Junio's ps/clar-unit-test at 894deb76a0 (clar: add CMake support,
> 2024-09-04).

Thanks, looking good.  Let me queue it directly on top of that
topic, and have it graduate at the same time as the rest of the
topic.